/*
 * Class FINITE [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1770 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1770 [] = {0xFF01,1551,1769,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1770 [] = {0xFF01,1769,872,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1770 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1770 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1770 [] = {0xFF01,1769,872,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1770 [] = {0xFF01,1769,872,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1770 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1770 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1770 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1770 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1770 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1770 [] = {1769,872,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1770 [] = {0xFF01,1769,872,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1770 [] = {0xFF01,1758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1770 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1770[] = {
	{EIF_GENERIC(NULL), 9212, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1770), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1770), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1770), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1770), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1770), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1770), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1770), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1770), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1770), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1770), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1770), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1770), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1770), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1770), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8624, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1770), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1770), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1770(void)
{
	IDSC(desc_1770, 0, 1769);
	IDSC(desc_1770 + 1, 1, 1769);
	IDSC(desc_1770 + 32, 1134, 1769);
	IDSC(desc_1770 + 41, 554, 1769);
	IDSC(desc_1770 + 42, 878, 1769);
}


#ifdef __cplusplus
}
#endif
